com.streambase.sb.operator

## Class ResourceNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.sb.StreamBaseException
      - - com.streambase.sb.operator.ResourceNotFoundException

- All Implemented Interfaces:
    LocatedItem, Serializable

      public class ResourceNotFoundException
      extends StreamBaseException

  Thrown when an operator tries to get a resource by name, but no such resource exists.
  See Also:
    `Operator.getResourceContents(String)`, `Operator.getResourceFile(String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceNotFoundException(String name)` Constructor.
    `ResourceNotFoundException(String name, String resourcePath)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class com.streambase.sb.StreamBaseException

      `asXmlStringSingle, asXmlStringStrict, asXmlStringStrict, equals, getParams, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.sb.util.LocatedItem

      `getLocation`

- - ### Constructor Detail

    - #### ResourceNotFoundException

          public ResourceNotFoundException(String name)

      Constructor.
      Parameters:
        `name` - the name of the resource that was not found

    - #### ResourceNotFoundException

          public ResourceNotFoundException(String name,
                                           String resourcePath)

      Constructor.
      Parameters:
        `name` - the name of the resource that was not found
        `resourcePath` - the path that was looked into to find the above resource

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.